%global make_common_opts \\\
	PREFIX=%{_prefix} \\\
	SYSCONF_DIR=%{_sysconfdir} \\\
	BIN_DIR=%{_bindir} \\\
	DATA_DIR=%{_datadir} \\\
	PKG_DATA_DIR=%{_datadir}/%{name} \\\
	%{nil}
Name:		ovirt-engine-extension-aaa-ldap
Version:	1.2.3
Release:	1%{?release_suffix}%{?dist}
License:	ASL 2.0
Summary:	oVirt Script Engine Gateway Extension
Group:		Virtualization/Management
URL:		http://www.ovirt.org
BuildArch:	noarch
Source:		http://resources.ovirt.org/pub/src/%{name}/%{name}-1.2.3.tar.gz

BuildRequires:	java-1.8.0-openjdk-devel >= 1:1.8.0
BuildRequires:	slf4j >= 1.7
BuildRequires:	ant
BuildRequires:	jpackage-utils
BuildRequires:	ovirt-engine-extensions-api
BuildRequires:	unboundid-ldapsdk

Requires:	ovirt-engine-extensions-api-impl >= 4.0
Requires:	unboundid-ldapsdk >= 2.3.7

%description
Generic LDAP implementation for oVirt engine.

%package setup
Summary:	%{name} setup
Requires:	%{name} = %{version}-%{release}
Requires:	bind-utils
Requires:	otopi >= 1.4.0
Requires:	python-ldap

%description setup
Setup package for Generic LDAP.

%prep
%setup -c -q

%build
cat > build.properties << __EOF__
package.display.name=%{name}-%{version}-%{release}
build.checks.statics.enable=false
jar.slf4j-api=$(build-classpath slf4j/slf4j-api)
jar.ovirt-engine-extensions-api=$(build-classpath ovirt-engine/ovirt-engine-extensions-api)
jar.unboundid-ldapsdk=$(build-classpath unboundid-ldapsdk)
__EOF__

make %{make_common_opts} all

%install
rm -fr "%{buildroot}"
make %{make_common_opts} install-no-build DESTDIR="%{buildroot}"

rm -f "%{buildroot}/usr/share/ovirt-engine-extension-aaa-ldap/modules/org/ovirt/engine-extensions/aaa/ldap/main/unboundid-ldapsdk.jar"
ln -s \
	"$(build-classpath unboundid-ldapsdk)" \
	"%{buildroot}/usr/share/ovirt-engine-extension-aaa-ldap/modules/org/ovirt/engine-extensions/aaa/ldap/main/unboundid-ldapsdk.jar"

install -d "%{buildroot}%{_sysconfdir}/ovirt-engine-extension-aaa-ldap-setup.conf.d"
cat > "%{buildroot}%{_sysconfdir}/ovirt-engine-extension-aaa-ldap-setup.conf.d/10-packaging.conf" << __EOF__
[environment:default]
OVAAALDAP_LDAP/systemCACerts=str:/etc/pki/tls/certs/ca-bundle.crt
__EOF__

%files
%dir %{_datadir}/%{name}
%dir %{_sysconfdir}/ovirt-engine-extension-aaa-ldap-setup.conf.d
%doc README*
%{_datadir}/%{name}/examples/
%{_datadir}/%{name}/modules/
%{_datadir}/%{name}/profiles/
%{_sysconfdir}/ovirt-engine-extension-aaa-ldap-setup.conf.d/10-packaging.conf
%{_sysconfdir}/ovirt-engine/engine.conf.d/50-%{name}.conf

%files setup
%{_bindir}/ovirt-engine-extension-aaa-ldap-setup
%{_datadir}/%{name}/setup/

%changelog
* Thu Feb 09 2017 Martin Perina <mperina@redhat.com> 1.2.3-1
- Sync with upstream 1.2.3 (tag ovirt-engine-extension-aaa-ldap-1.2.3)
- Bump build dependency to OpenJDK 1.8

* Fri Nov 04 2016 Martin Perina <mperina@redhat.com> 1.2.2-2
- Update spec file for RHV 4.1 dependencies

* Mon Oct 31 2016 Martin Perina <mperina@redhat.com> 1.2.2-1
- Sync with upstream 1.2.2 (tag ovirt-engine-extension-aaa-ldap-1.2.2)

* Thu Jun 30 2016 Martin Perina <mperina@redhat.com> 1.2.1-1
- Sync with upstream 1.2.1 (tag ovirt-engine-extension-aaa-ldap-1.2.1)

* Thu May 26 2016 Martin Perina <mperina@redhat.com> 1.2.0-1
- Sync with upstream 1.2.0 (tag ovirt-engine-extension-aaa-ldap-1.2.0)

* Mon Apr 18 2016 Martin Perina <mperina@redhat.com> 1.2.0-0.2
- Sync with current upstream

* Mon Mar 07 2016 Martin Perina <mperina@redhat.com> 1.2.0-0.1
- Dropped EL6 support from spec file.

* Fri Dec 11 2015 Alon Bar-Lev <alonbl@redhat.com> 1.1.2-1
- Release, import rhbz#1230108.

* Thu Dec 10 2015 Alon Bar-Lev <alonbl@redhat.com> 1.1.1-1
- Release, import rhbz#1230108.

* Thu Oct 22 2015 Alon Bar-Lev <alonbl@redhat.com> 1.1.0-1
- Release, import rhbz#1230108.

* Sat Dec 6 2014 Alon Bar-Lev <alonbl@redhat.com> 1.0.0-2
- Initial, rhbz#1110765

* Mon Dec 1 2014 Alon Bar-Lev <alonbl@redhat.com> 1.0.0-1
- Initial, rhbz#1110765
